List billing entities/item/tax registrations
curl --request GET \
--url https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "<string>",
"billing_entity_id": "<string>",
"country_code": "<string>",
"registration_type": "<string>",
"registration_number": "<string>",
"valid_from": "<string>",
"valid_to": "<string>",
"status": "<string>"
}
]
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Billing
List billing entities/item/tax registrations
From api/v1/tax_registrations#index in voice_saas_api. Fields come from that action’s strong params / params usage.
GET
/
api
/
v1
/
billing_entities
/
{billing_entity_id}
/
tax_registrations
List billing entities/item/tax registrations
curl --request GET \
--url https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "<string>",
"billing_entity_id": "<string>",
"country_code": "<string>",
"registration_type": "<string>",
"registration_number": "<string>",
"valid_from": "<string>",
"valid_to": "<string>",
"status": "<string>"
}
]
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Was this page helpful?